<style type="text/css">

table { vertical-align: top; }
tr    { vertical-align: top; }
td    { vertical-align: top; }
.midnight-blue{
	background:#2c3e50;
	padding: 4px 4px 4px;
	color:white;
	font-weight:bold;
	font-size:12px;
}
.silver{
	background:white;
	padding: 3px 4px 3px;
}
.clouds{
	background:#ecf0f1;
	padding: 3px 4px 3px;
}
.border-top{
	border-top: solid 1px #bdc3c7;
	
}
.border-left{
	border-left: solid 1px #bdc3c7;
}
.border-right{
	border-right: solid 1px #bdc3c7;
}
.border-bottom{
	border-bottom: solid 1px #bdc3c7;
}
table.page_footer {width: 100%; border: none; background-color: white; padding: 2mm;border-collapse:collapse; border: none;}

</style>
<page backtop="5mm" backbottom="1mm" backleft="-20mm" backright="50mm" style="font-size: 12pt; font-family: arial" >
        <page_footer>
        <table class="page_footer">
            <tr>

                <!--<td style="width: 50%; text-align: left">
                    P&aacute;gina [[page_cu]]/[[page_nb]]
                </td>-->
                <td style="width: 50%; text-align: right">
                    &copy; <?php echo "wemake "; echo  $anio=date('Y'); ?>
                </td>
            </tr>
        </table>
    </page_footer>
    <table cellspacing="0" style="width: 100%;">
        <tr>

            <td style="width: 25%; color: #444444;">
                <!--<img style="width: 100%;" src="../../upload/empresa/logo.png" alt="Logo"><br>-->
                
            </td>
			<td style="width: 50%;font-size:12px;text-align:center">
                <span style="font-size:14px;"><?php echo 'GLITTER MAKE UP';?></span><br>
                <span>FACTURA Nº <?php echo $numero_factura;?></span><br>
                <span style="font-size:14px;"><?php echo 'GLITTER MAKE UP';?></span><br>
                <?php echo 'Edgar Johan Galvis Barragan' ?><br>                
				Nit: <?php echo '1098692607-6'; ?><br>				
				Regimen Simplificado<br>
				<?php echo 'Cra 36 # 36-46 L-103';?><br> 
				Teléfono: <?php echo '3235754665';?><br>
				Instagram: <?php echo '@glittermakeup_bga';?><br><br>
				<span>FACTURADO A</span><br>
				<?php 
				$sql_cliente=mysqli_query($conn,"select * from clientes where idclientes='$id_cliente'");
				$rw_cliente=mysqli_fetch_array($sql_cliente);
				echo $rw_cliente['nombres'];
				echo "<br>";
				echo $rw_cliente['apellidos'];
				echo "<br>";
				echo $rw_cliente['direccion'];
				echo "<br> Teléfono: ";
				echo $rw_cliente['tel'];
				echo "<br> Email: ";
				echo $rw_cliente['email'];
				echo '<br>';
				$timezone  = -6;
				echo gmdate("Y/m/j H:i:s A", time() + 3600*($timezone+date("I")));?>

				<table  style="width: 70%;">
        <tr>
            <th style="font-size:10px;">CANT.</th>
            <th  style="font-size:10px;">DESCRIPCION</th>
            <th style="font-size:10px;" >TOTAL</th>
            
        </tr>
        <?php
$nums=1;
$sumador_total=0;
$sql=mysqli_query($conn, "select * from productos, tmp where productos.idproductos = tmp.id_producto and tmp.session_id='".$session_id."'");
while ($row=mysqli_fetch_array($sql))
	{
	$id_tmp=$row["idtmp"];
	$id_producto=$row["id_producto"];
	$codigo_producto=$row['codigo'];
	$cantidad=$row['cantidad_tmp'];
	$nombre_producto=$row['nombre'];
	$des=$row['des_tmp'];
	
	$precio_venta=$row['precio_tmp'];
	$precio_venta_f=number_format($precio_venta,2);//Formateo variables
	$precio_venta_r=str_replace(",","",$precio_venta_f);//Reemplazo las comas
	$precio_total=$precio_venta_r*$cantidad;
	$precio_total_f=number_format($precio_total,2);//Precio total formateado
	$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
	$sumador_total+=$precio_total_r;//Sumador
	@$des_total+=$des;
	if ($nums%2==0){
		$clase="clouds";
	} else {
		$clase="silver";
	}
	?>

        <tr>
            <td class='<?php echo $clase;?>' style="width: 15%; text-align: center"><?php echo $cantidad; ?></td>
            <td  class='<?php echo $clase;?>' style="width: 70%; text-align: left;font-size: 7pt"><?php echo $nombre_producto;?><br><?=$codigo_producto?></td>
            <td class='<?php echo $clase;?>' style="width: 15%; text-align: right"><?php echo $precio_venta+$des;?></td>
            
        </tr>

	<?php 
	//Insert en la tabla detalle_cotizacion
	$insert_detail=mysqli_query($conn, "INSERT INTO factura_detalle VALUES (NULL,'$numero_factura','$id_producto','$cantidad','$precio_venta_r','$des')");
	
	$nums++;
	}
	$impuesto=0;
	$subtotal=number_format($sumador_total,2,'.','');
	$total_iva=($subtotal * $impuesto )/100;
	$total_iva=number_format($total_iva,2,'.','');
	$total_factura=$subtotal+$total_iva;
	$sub_total=@$des_total+$subtotal;
?>
	  
        <tr>
            <td colspan="2" style="widtd: 85%; text-align: right;">SUBTOTAL $ </td>
            <td style="widtd: 15%; text-align: right;"> <?php echo number_format($sub_total,2);?></td>
        </tr>
        <tr>
            <td colspan="2" style="widtd: 85%; text-align: right;">DCTO $ </td>
            <td style="widtd: 15%; text-align: right;"> <?php echo number_format(@$des_total,2);?></td>
        </tr>
		<tr>
            <td colspan="2" style="widtd: 85%; text-align: right;">IVA (<?php echo $impuesto; ?>)% $ </td>
            <td style="widtd: 15%; text-align: right;"> <?php echo number_format($total_iva,2);?></td>
        </tr><tr>
            <td colspan="2" style="widtd: 85%; text-align: right;">TOTAL $ </td>
            <td style="widtd: 15%; text-align: right;"> <?php echo number_format($total_factura,2);?></td>
        </tr>
    </table>
                
            </td>				
			
			
        </tr>
    </table>
    <br>
    
    
       <br>
		<!--<table cellspacing="0" style="width: 100%; text-align: left; font-size: 11pt;">
        <tr>
           <td style="width:35%;" class='midnight-blue'>VENDEDOR</td>
		  <td style="width:25%;" class='midnight-blue'>FECHA</td>
		   <td style="width:40%;" class='midnight-blue'>FORMA DE PAGO</td>
        </tr>
		<tr>
           <td style="width:35%;">
			<?php 
				$sql_user=mysqli_query($conn,"select * from users where user_id='$id_vendedor'");
				$rw_user=mysqli_fetch_array($sql_user);
				echo $rw_user['firstname']." ".$rw_user['lastname'];
			?>
		   </td>
		  <td style="width:25%;"><?php echo date("d/m/Y");?></td>
		   <td style="width:40%;" >
				<?php 
				if ($condiciones==1){echo "Efectivo";}
				elseif ($condiciones==2){echo "Cheque";}
				elseif ($condiciones==3){echo "Transferencia bancaria";}
				elseif ($condiciones==4){echo "Crédito";}
				?>
		   </td>
        </tr>
		
        
   
    </table>-->
	<br>
  
	
	
	
	<br>
	<div style="font-size:11pt;text-align:center;font-weight:bold">Gracias por su compra!</div>
	
	
	  

</page>

<?php
date_default_timezone_set('America/Bogota');
$date=date("Y-m-d H:i:s");
$insert=mysqli_query($conn,"INSERT INTO factura VALUES (NULL,'$numero_factura','$date','$id_cliente','$condiciones','$total_factura','$id_vendedor')");
$delete=mysqli_query($conn,"DELETE FROM tmp WHERE session_id='".$session_id."'");

//inventario
$sql_inv=mysqli_query($conn,"SELECT
factura_detalle.id_producto,
factura_detalle.cantidad,
factura_detalle.precio_venta,
productos.stock,
(productos.stock - factura_detalle.cantidad) as resta
FROM
factura_detalle ,
productos
WHERE
factura_detalle.numfact = '".$numero_factura."' AND
factura_detalle.id_producto = productos.idproductos");

while ( $rw_inv=mysqli_fetch_array($sql_inv)) {
	$resta = $rw_inv['resta'];
	$idpro = $rw_inv['id_producto'];
	$act = mysqli_query($conn,"UPDATE productos SET productos.stock='".$resta."' WHERE productos.idproductos='".$idpro."'");
}

?>
